<?
if($ank['PrivateWall']==1 && $ank['id'] != $ku['id'])
{
  echo "<div class='event'><h1>Ошибка</h1></div><div class='block'>";
  
    echo'Игрок '.$ank['nick'].' закрыл доступ к своей стене</div>';
    include_once 'inc/foot.php';
    exit();
}
if ($ank['PrivateWall']==2 && $ank['id'] != $ku['id'] && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_friends` WHERE `id_user` = '$ank[id]' && `id_ank` = '$ku[id]'"),0) == '0')
{
  echo "<div class='event'><h1>Ошибка</h1></div><div class='block'>";
  
    echo'Игрок '.$ank['nick'].' закрыл доступ к своей стене</div>';
    include_once 'inc/foot.php';
    exit();
}
mysql_query("UPDATE `kolhoz_user` SET `wall` = '0' WHERE `id` = '$ku[id]'");
if(isset($_GET['complaintchat']) && intval($_GET['complaintchat'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `wall_chat` WHERE `id` = '".intval($_GET['complaintchat'])."'"),0)!=0)
{
echo "<div class='event'><h1>Вы уверены?</h1></div><div class='content'><div class='block'><a href='/?wall=$wall[id]&complaintchat=$_GET[complaintchat]&ok'>Да, подтверждаю</a><br><a href='/?bottle'>Нет, отказываюсь</a></div>";
if(isset($_GET['ok']))
{
  $msg=mysql_fetch_array(mysql_query("SELECT * FROM `wall_chat` WHERE `id` = '".intval($_GET['complaintchat'])."' LIMIT 1"));
  $complaint=mysql_result(mysql_query("SELECT Count(*) FROM `complaint` WHERE `id_user` = $ku[id] AND `infringer` = '$msg[id_user]' AND `check` = '0'"), 0);
if($complaint<1)
{
  mysql_query("INSERT INTO `complaint` SET `id_user` = '$ku[id]', `infringer` = '$msg[id_user]', `time` = '$time', `check` = '0', `msg` = '$msg[msg]'");
    header("Location:/?wall=$wall[id]");
      $_SESSION['msg']='Спасибо! Администрация получит уведомление и примет меры.';

}else
{
    header("Location:/?wall=$wall[id]");
      $_SESSION['msg']='У вас уже есть необработанная жалоба на этого игрока.';  
}
}
}
echo"<div class='event'><h1><title>Стена игрока ".$wall['nick']."</title></h1></div>";
echo "</div><div class='block'><center><img src='images/icons/refresh.png' alt='o'> <a href='?wall=$wall[id]'>Обновить</a> |  
   <img width='16' height='16' src='images/icons/smiles.png' alt='o'> <a href='?smiles'>Смайлы</a></div></center><div class='block'>";
 /// Chat
    if($wall['id']==$ku['id']) echo "<img alt='ща' width='16' height='16' src='images/icons/cross.png'> <a href='?wall=$wall[id]&killme'> Очистить</a>";

    if (isset($_GET['killme']) && ($wall['id']==$ku['id'])){
        echo "<hr color=red>Очистка!!! (укажите вариант)<br>
        ✻ <a href='?wall=$wall[id]&killme=1'>старше 1 дня</a><br>
        ✻ <a href='?faremchat=$wall[id]&killme=2'>старше недели</a><br>
        ✻ <a href='?faremchat=$wall[id]&killme=3'>старше месяца</a><br>
        ✻ <a href='?wall=$wall[id]&killme=4'>все</a><br>
        <hr color=red>";
        if ($_GET['killme']==1){
        $keep_time=60*60*24;}
        elseif ($_GET['killme']==2){
        $keep_time=60*60*24*7; }
        elseif ($_GET['killme']==3){
        $keep_time=60*60*24*30; }
        elseif ($_GET['killme']==4) {$keep_time=0;  }

        if ($_GET['killme']>0 AND $_GET['killme']<5){
            if ($wall['id']==$ku['id']){
                $tr_sql="DELETE FROM `wall_chat` WHERE `wall` ='$ku[id]' AND  `time` < '".(time()-$keep_time)."' ;";
                mysql_query($tr_sql,$db);
                echo "".mysql_affected_rows()." удалено <hr>";
            }
            else{ echo "<center>У вас не хватает кармы сегодня .... У-у-у-пс.....<hr color=lightgreen width='80%'></center>";}
        }
    }
    
    if(isset($_POST['msg']) && isset($_GET['add']) && $_GET['add']=='ok' && isset($_GET['write'])){
        $msg=$_POST['msg'];
        if($msg==NULL){
            echo err_game("Слишком короткое сообщение");
            $err=1;
        }
        
if($ku['time']<=3600){
$err=1;
err_game("Данная функция доступна только после часа проведенного в игре");
}
        if(!isset($err)){
                $otvv=intval($_GET['otv']);
            mysql_query("INSERT INTO `wall_chat` SET `msg` = '".my_esc($msg)."', `id_user` = '$ku[id]', `time` = '$time', `wall` = '$wall[id]'".(isset($otvv)?", `otvet` = '$otvv'":null)."");
		if($wall['id']!=$ku['id'])mysql_query("UPDATE `kolhoz_user` SET `wall` = '1' WHERE `id` = '$wall[id]'");
header('location: ?wall='.$wall['id'].''); 
		exit();
        }
    }
   {
if($molchi<1)
{

        $otvv=intval($_GET['otv']);
        $otvn=mysql_result(mysql_query("SELECT `nick` FROM `kolhoz_user` WHERE `id`=".$_GET['otv']), 0);

       echo '<ul class="minor pt"></ul><script type="text/javascript" src="/js/Sidebar_PC.js"></script><form method="post" action="?wall='.$wall['id'].'&write=yes&add=ok'.($otvv!=""?'&otv=$otvv':null).'" onkeypress="Form.ctrlEnter(event, this);"><div class="advanced_comment_form"><div id="toolbar"><noscript><input class="url-btn" type="submit" name="urlbtn" value=" " title="Вставить ссылку" style="text-decoration:none; width: 20px; background: url(http://spaces.ru/i/bb/link.gif) no-repeat !important;" /></noscript></div><link rel="stylesheet" type="text/css"  href="/js/CommentWidget_PC.css" /><script type="text/javascript">

var commentMaxLength = "1500";
</script>
<script type="text/javascript" src="/js/FullCommentForm_PC.js"></script><div id="block_for_smiles"></div><div id="textareaError"><div>Сообщение:<br><textarea onfocus="Util.StartTimer();" onblur="Util.StopTimer();" id="textarea" name="msg" rows="5" class="wide"></textarea></div><small id="errorField" style="display:none;">Введённый текст длиннее 1500 символов.</small></div><script type="text/javascript" src="/js/form.js?r=945p"></script></div><input type="submit" class="main_submit left" id="mainSubmitForm" value="Отправить" /></form>';

/* <div><center><form action='?wall=$wall[id]&write=yes&add=ok".($otvv!=''?"&otv=$otvv":null)."' method='post'><label>Сообщение".($otvv!=''?" для $otvn":null).":<br><textarea class='wide' rows='2' name='msg'></textarea></label><br><input type='submit' value='Отправить'></form></div></center>*/
    }
}
    $k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM  `wall_chat` WHERE `wall` = '$wall[id]'"),0);
    if($k_post==0){
        echo "пустo...";
    }
    $k_page=k_page($k_post,$set['p_str']);
    $page=page($k_page);
    $start=$set['p_str']*$page-$set['p_str'];
    $q=mysql_query("SELECT * FROM `wall_chat` WHERE `wall` = '$wall[id]' ORDER BY `time` DESC LIMIT $start, 10");
    while($post=mysql_fetch_array($q)){
        $ank=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[id_user]'"));
        if($post['otvet']!=0 && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_user` WHERE `id` = '$post[otvet]'"),0)!=0){
            $otvet=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_user` WHERE `id` = '$post[otvet]'"));
            $otvetu=$otvet;
        }
        echo "<li class='pt'></div><div class='block'><span>";
        echo on_k($ank['id']);
        echo " <a class='' href='?user=$ank[id]'><span>".nc($ank['id'])."</span></a></span> <span class='minor small'> <span>".vremja($post['time'])."</span></span><div class='title'><p>".(($post['otvet']!=0)?"".($ku['id']==$otvet['id']?"<span class='rare'>":null)."$otvetu[nick]".($ku['id']==$otvet['id']?"</span>":null).", ":null)."".output_text($post['msg'], $ank['id'])."</p></div><div>".($ank['id']!=$ku['id']?"<a class='small minor' href='?wall=$wall[id]&otv=$ank[id]&write'>[ответить]</a> <a class='small minor' href='?wall=$wall[id]&complaintchat=$post[id]'>[жалоба]</a>":null)."";
        echo "</div></li>";
    }
    if ($k_page>1)str("?wall=$wall[id]&",$k_page,$page); // Вывод страниц
    echo "</ul>";
include_once'inc/foot.php';
    ?>